
From: Anton Blanchard <anton@samba.org>

The sym2 driver has a check for a very broken bios where it seems devices
appear twice.  This test is broken on a machine with PCI domains since
busnumber:devfn is not a unique identifier.

When we move to the scsi hotplug interface all this code will go away but
in the short term we need the following fix.



 drivers/scsi/sym53c8xx_2/sym_glue.c |    8 --------
 1 files changed, 8 deletions(-)

diff -puN drivers/scsi/sym53c8xx_2/sym_glue.c~sym2-remove-broken-bios-check drivers/scsi/sym53c8xx_2/sym_glue.c
--- 25/drivers/scsi/sym53c8xx_2/sym_glue.c~sym2-remove-broken-bios-check	2003-06-26 18:40:09.000000000 -0700
+++ 25-akpm/drivers/scsi/sym53c8xx_2/sym_glue.c	2003-06-26 18:40:09.000000000 -0700
@@ -2749,14 +2749,6 @@ if (sym53c8xx)
 		/* This one is guaranteed by AC to do nothing :-) */
 		if (pci_enable_device(pcidev))
 			continue;
-		/* Some HW as the HP LH4 may report twice PCI devices */
-		for (i = 0; i < count ; i++) {
-			if (devtbl[i].s.bus       == PciBusNumber(pcidev) && 
-			    devtbl[i].s.device_fn == PciDeviceFn(pcidev))
-				break;
-		}
-		if (i != count)	/* Ignore this device if we already have it */
-			continue;
 		devp = &devtbl[count];
 		devp->host_id = SYM_SETUP_HOST_ID;
 		devp->attach_done = 0;

_
